package servermsg;

import application.Status;

public class ResponseRecentUpdates extends ServerMsg {
	private static final long serialVersionUID = 201009301157L;
	public static final short TYPE = 52;
	
	private Status[] statuses = null;
	
	public ResponseRecentUpdates(String uid, long stime, Status[] ss) {
		super(uid, stime, true);
		
		statuses = ss;
	}
	
	public Status[] getStatuses() {
		if(statuses == null) {
			return null;
		} else {
			return statuses;
		}
	}
	
	public short getType() {
		return TYPE;
	}

}
