package message;

import java.io.IOException;

import rice.p2p.commonapi.Endpoint;
import rice.p2p.commonapi.Id;
import rice.p2p.commonapi.NodeHandle;
import rice.p2p.commonapi.rawserialization.InputBuffer;
import rice.p2p.commonapi.rawserialization.OutputBuffer;
import rice.p2p.util.BloomFilter;

public class ReqUnfollowMsg extends CuckooPiggybackMsg {
	private static final long serialVersionUID = 201007172213L;
	public static final short TYPE = 3;
    
    public ReqUnfollowMsg(Id from, Id to, String fid, String tid, NodeHandle nh, long t, BloomFilter bf) {
    	super(from, to, fid, tid, nh, t, bf);
    }
	
	public short getType() {
		return TYPE;
	}

	public void serialize(OutputBuffer buf) throws IOException {
		super.serialize(buf);
	}
	
	public ReqUnfollowMsg(InputBuffer buf, Endpoint endpoint) throws IOException {
		super(buf, endpoint);
	}
}
