package servermsg;

// This message is used to response to any requests except the "RequestRecentUpdates" request

public class ResponseAcknowledgement extends ServerMessage {
	
	public static final short TYPE = 54;
	private static final long serialVersionUID = 201010010628L;
	
	private String text;
	
	public ResponseAcknowledgement(String uid, long sendtime, long recvtime, String text) {
		super(uid, sendtime, recvtime, true);
		this.text = text;
	}
	
	public short getType() {
		return TYPE;
	}
	
	public String getText() {
		return text;
	}
}
