package testing;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;

import application.Status;
import database.PartnerXMLDB;
import database.ProfileXMLDB;
import database.StatusXMLDB;

public class Printer {
	public static final String DIR = "xml/";
	
	public static void printFollowees(String userId) {
		String dir = DIR+userId;
		//String dir = "./";
		
		ProfileXMLDB followeeProfileDB = new ProfileXMLDB(dir, dir + "/followeeprofile.xml", "followeeprofile");
		followeeProfileDB.xmlParsePrint();
	}
	
	public static void printFollowers(String userId) {
		String dir = DIR+userId;
		
		ProfileXMLDB followeeProfileDB = new ProfileXMLDB(dir, dir + "/followerprofile.xml", "followerprofile");
		followeeProfileDB.xmlParsePrint();
	}
	
	public static void printFolloweeStatuses(String userId) {
		String dir = DIR+userId;
		
		//dir = "./";
		
		StatusXMLDB followeeStatusDB = new StatusXMLDB(dir, dir + "/mystatus.xml", "myStatus");
		//followeeStatusDB.xmlParsePrint();
		
		BufferedReader is;
		try {
			is = new BufferedReader(new FileReader(dir + "/96951800_tweet"));
			//is.readLine();
			String text = is.readLine();
			System.out.println("------------------------------------------");
			System.out.println(text);
			System.out.println(followeeStatusDB.recentExist(new Status("969518001287414593270", text, "n", "96951800", 0L)));
			
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
	
	public static void printMyStatuses(String userId) {
		String dir = DIR+userId;
		
		StatusXMLDB myStatusDB = new StatusXMLDB(dir, dir + "/mystatus.xml", "myStatus");
		myStatusDB.xmlParsePrint();
	}
	
	public static void printNumOfFollowers(String userId) {
		String dir = DIR+userId;
		ProfileXMLDB followeeProfileDB = new ProfileXMLDB(dir, dir + "/followerprofile.xml", "followerprofile");
		
		System.out.println(userId + ": " + followeeProfileDB.getNumOfEntries());
	}
	
	public static void printPartners(String userId) {
		String dir = DIR+userId;
		PartnerXMLDB partnerXMLDB = new PartnerXMLDB(dir, dir + "/partner.xml", "partner");
		
		partnerXMLDB.xmlParsePrint();
	}
	
	public static void stringSplitTest() {
		String s1 = "";
		String[] s2 = s1.split("#");
		
		System.out.println(s2.length);
	}
	
	public static void main(String[] args) {
		//printFollowees("125552821");
		//System.out.println("-----------------------");
		//printFollowers("96951800");
		//printMyStatuses("100485333");
		//printFolloweeStatuses("131963094");
		
		/*String[] ids = {"54569424",
				"14727959",
				"96951800",
				"112764971",
				"23809249",
				"54279588",
				"92571114",
				"93166089",
				"100485333",
				"131963094"};
		for(int i=0; i<ids.length; i++) {
			printNumOfFollowers(ids[i]);
		}*/
		
		printFolloweeStatuses("96951800");
		
		//printFollowers("112764971");
		/*System.out.println("-----------------------");
		printFollowers("54279588");*/
		
		//System.out.println("-----------------------");
		//printMyStatuses("112764971");
		//System.out.println("-----------------------");
		//printFolloweeStatuses("100389424");
		//System.out.println("-----------------------");
		
		//printPartners("131963094");
		
		//stringSplitTest();
	}
}
