package toolbox;

import java.util.Iterator;
import java.util.LinkedList;

public class FixLengthQueue {
	private int length;
	private LinkedList<String> queue;
	
	public FixLengthQueue(int l) {
		length = l;
		queue = new LinkedList<String>();
	}
	
	public synchronized void add2queue(String id) {
		if(queue.size()<length) {
			queue.addLast(id);
		} else if(queue.size()==length) {
			queue.removeFirst();
			queue.addLast(id);
		} else {
			System.out.println("ERROR! the length of Queue is outbounded!");
		}
	}
	
	public synchronized void clearQueue() {
		queue.clear();
	}
	
	public LinkedList<String> getIds() {
		return queue;
	}
	
	public void printQueue() {
		Iterator<String> iterator = queue.iterator();
		while(iterator.hasNext()) {
			System.out.print(iterator.next() + " ");
		}
	}
}
