package toolbox;

import java.util.Iterator;
import java.util.LinkedList;

public class UTPair {
	public String userId;
	public long time;
	public int health;
	
	public UTPair(String u, long t, int h) {
		userId = u;
		time = t;
		health = h;
	}
	
	public String toString() {
		return userId + " " + time + " " + health;
	}
	
	public void print() {
		System.out.println("**" + userId + " " + time + " " + health);
	}
	
	
	
	public static void printUTPairList(LinkedList<UTPair> ll) {
		Iterator<UTPair> iterator = ll.iterator();
		while(iterator.hasNext()) {
			iterator.next().print();
		}
	}
}
